# Rudefox Burrow

*Offline Bitcoin Seed Generation and Wallet Tool*

Use Burrow on an air-gapped, single-board computer, like a Raspberry Pi, to generate new seed words, derive addresses and extended public keys from existing seed words or sign PSBT transactions offline.  Check out the self-audited seed generation feature: [ShowMyWork](https://rudefox.io/blog/2020-07-16-show-my-work.html).

[Rudefox Burrow](https://rudefox.io/burrow/) is released under the [MIT License](LICENSE.md) by B.J. Dweck

## Getting Started

If you simply want to dive in and try your hand at generating a self-audited seed, see the [Burrow Quick Start](https://www.rudefox.io/burrow/quick-start.html) guide.

## Build

### Linux

* Install the Java 8 SDK (Java 8+ is not already installed)

```bash
sudo apt-get install -y openjdk-8-jdk-headless
```

* Clone the repository and build

```bash
git clone https://git.rudefox.io/rudefox/burrow.git
cd burrow
./gradlew build distTar
```

* Find the distribution `.tar` file in `build/distributions/`